%define anolis_release 1
Name:           libgexiv2
Version:        0.14.0
Release:        %{anolis_release}%{?dist}
Summary:        Gexiv2 is a GObject-based wrapper around the Exiv2 library

License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/gexiv2
Source0:        https://download.gnome.org/sources/gexiv2/0.14/gexiv2-%{version}.tar.xz

BuildRequires:  exiv2-devel
BuildRequires:  gcc-c++
BuildRequires:  gtk-doc
BuildRequires:  gobject-introspection-devel
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  python3-devel
BuildRequires:  python3-gobject-base

%description
libgexiv2 is a GObject-based wrapper around the Exiv2 library. 
It makes the basic features of Exiv2 available to GNOME applications.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n     python3-gexiv2
Summary:        Python3 bindings for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       python3-gobject-base%{?_isa}

%description -n python3-gexiv2
This package contains the python3 bindings for %{name}

%prep
%setup -q -n gexiv2-%{version}

%build
%meson \
  -Dgtk_doc=true \
  -Dpython3_girdir=%{python3_sitearch}/gi/overrides \
  %{nil}
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc AUTHORS THANKS README
%{_libdir}/libgexiv2.so.2*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GExiv2-0.10.typelib

%files devel
%{_includedir}/gexiv2/
%{_libdir}/libgexiv2.so
%{_libdir}/pkgconfig/gexiv2.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GExiv2-0.10.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gexiv2/
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gexiv2.deps
%{_datadir}/vala/vapi/gexiv2.vapi

%files -n python3-gexiv2
%{python3_sitearch}/gi/overrides/GExiv2.py
%{python3_sitearch}/gi/overrides/__pycache__/GExiv2*

%changelog
* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.14.0-1
- Init from upstream version 0.14.0

